> ## Documentation Index
> Fetch the complete documentation index at: https://docs.peec.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Agent logs

> List Agent access logs from your log provider integration or access file upload



## OpenAPI

````yaml https://api.peec.ai/customer/v1/openapi/json get /agent-analytics/logs
openapi: 3.0.3
info:
  title: Peec AI Customer API
  description: Development documentation
  version: 1.0.0
  contact:
    name: Peec AI Team
    email: support@peec.ai
servers:
  - url: https://api.peec.ai/customer/v1
security: []
paths:
  /agent-analytics/logs:
    get:
      tags:
        - Project
      summary: List Agent logs
      description: >-
        List Agent access logs from your log provider integration or access file
        upload
      operationId: getAgent-analyticsLogs
      parameters:
        - name: project_id
          in: query
          required: false
          schema:
            description: Required if using a company api key
            example: or_f45b94ba-5e35-4982-93ed-285e72ee14eb
            type: string
        - name: limit
          in: query
          required: false
          schema:
            default: 1000
            type: number
            minimum: 1
            maximum: 10000
        - name: offset
          in: query
          required: false
          schema:
            default: 0
            type: number
            minimum: 0
        - name: start_date
          in: query
          required: false
          schema:
            default: '2026-01-01'
            description: >-
              full-date notation as defined by RFC 3339, section 5.6, for
              example, 2017-07-21
            example: '2025-09-22'
            type: string
            format: date
            pattern: >-
              ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
        - name: end_date
          in: query
          required: false
          schema:
            default: '2026-01-01'
            description: >-
              full-date notation as defined by RFC 3339, section 5.6, for
              example, 2017-07-21
            example: '2025-09-22'
            type: string
            format: date
            pattern: >-
              ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
        - name: bot_ids
          in: query
          required: false
          schema:
            description: >-
              List of bot IDs to filter by. you will get it from
              /agent-analytics/bots
            example:
              - AppleBot
              - GoogleBot
            type: array
            items:
              type: string
              enum:
                - GPTBot
                - anthropic-ai
                - Google-Extended
                - Meta-ExternalAgent
                - Applebot-Extended
                - Amazonbot
                - Bytespider
                - CCBot
                - Ai2Bot
                - Ai2Bot-Dolma
                - cohere-ai
                - cohere-training-data-crawler
                - DeepSeekBot
                - PanguBot
                - Webzio-Extended
                - Diffbot
                - FacebookBot
                - omgili
                - Timpibot
                - GrokBot
                - OAI-SearchBot
                - Claude-SearchBot
                - PerplexityBot
                - Amzn-SearchBot
                - AzureAI-SearchBot
                - Google-CloudVertexBot
                - meta-webindexer
                - Applebot
                - Grok-DeepSearch
                - xAI-Grok
                - ChatGPT-User
                - Claude-User
                - Perplexity-User
                - Manus-User
                - GoogleAgent-Mariner
                - NovaAct
                - Gemini-Deep-Research
                - MistralAI-User
                - DuckAssistBot
                - quillbot.com
                - meta-externalfetcher
                - Claude-Code
                - MyCentralAIScraperBot
                - Google-Agent
                - omgilibot
                - ClaudeBot
                - Claude-Web
                - YouBot
      responses:
        '200':
          description: Response for status 200
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        bot_id:
                          type: string
                          example: AppleBot
                        timestamp:
                          type: string
                          example: '2025-01-01 00:01:02.000'
                        request_method:
                          type: string
                          example: GET
                        request_host:
                          type: string
                          example: example.com
                        request_path:
                          type: string
                          example: /path
                        response_status:
                          type: number
                          example: 200
                        user_agent:
                          type: string
                          example: >-
                            Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_5)
                            AppleWebKit/605.1.15 (KHTML, like Gecko)
                            Version/13.1.1 Safari/605.1.15 (Applebot/0.1;
                            +http://www.apple.com/go/applebot)
                        client_ip:
                          type: string
                          example: 127.0.0.1
                        referer:
                          type: string
                          example: notexample.com
                      required:
                        - bot_id
                        - timestamp
                        - request_method
                        - request_host
                        - request_path
                        - response_status
                        - user_agent
                  total_count:
                    type: number
                    example: 100
                    description: Total number of agent logs in storage
                  totalCount:
                    type: number
                    example: 100
                    description: Total number of agent logs in storage
                    deprecated: true
                required:
                  - data
                  - total_count
                  - totalCount
      security:
        - APIKeyHeader: []
        - APIKeyQuery: []
        - BearerAuth: []
components:
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key
    APIKeyQuery:
      type: apiKey
      in: query
      name: api_key
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````